[Upstream] Impress Font fuzzy in presentation mode when Use hardware acceleration enabled

Bug #585910 reported by Michael Lueck on 2010-05-26
48
This bug affects 6 people
Affects Status Importance Assigned to Milestone
LibreOffice
Fix Released
Critical
OpenOffice
Invalid
Medium
libreoffice (Ubuntu)
Medium
Unassigned
Precise
Undecided
Björn Michaelsen
Quantal
Undecided
Björn Michaelsen

Bug Description

[Impact]
 * bold characters blurs horizontally if the font does not have a bold typeface. This makes characters less readable.
   See. https://launchpadlibrarian.net/49398403/Screenshot-OpenOffice.org%203.2-PresentationModeFuzzyFont.png
 * There is a workaround, which is turning off hardware acceleration. But it makes animations and transitions quite slow.

[Test Case]

 1. type some text and make it as bold in Impress editing mode.
 2. apply font which does not have a bold typeface to the text.
    e.g. "Takao PGothic" font in fonts-takao-pgothic package.
 3. press F5(presentation)
 4. the text blurs horizontally. And the look of the font differs from editing mode.
    See. https://launchpadlibrarian.net/49398403/Screenshot-OpenOffice.org%203.2-PresentationModeFuzzyFont.png
 5. update to -proposed package
 6. the text does not blurs horizontally. And the look of the font is nearly the same as editing mode.
    See. https://launchpadlibrarian.net/49398355/Screenshot-OpenOffice.org%203.0-PresentationMode.png

[Regression Potential]

low.
The rendering way of this part was far from good. This fix is not a perfect solution, but it will improve it.

-- original description --

Binary package hint: openoffice.org
Binary package hint: libreoffice

1) lsb_release -rd
Description: Ubuntu 12.10
Release: 12.10

2) apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.6.2~rc2-0ubuntu4
  Candidate: 1:3.6.2~rc2-0ubuntu4
  Version table:
 *** 1:3.6.2~rc2-0ubuntu4 0
        900 http://archive.ubuntu.com/ubuntu/ quantal-updates/main i386 Packages
        400 http://archive.ubuntu.com/ubuntu/ quantal-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.6.2~rc2-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ quantal/main i386 Packages

3) What is expected to happen is when one opens the following at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/585910/+attachment/1405216/+files/BoldTechnicalFontTest.zip && file-roller -h BoldTechnicalFontTest.zip && cd BoldTechnicalFontTest/.fonts && sudo mv TECHNICN.TTF /usr/share/fonts && sudo fc-cache -f -v && loimpress -nologo ~/Desktop/BoldTechnicalFontTest/Desktop/BoldTechnicalFontTest.odp

Click F5 the font is not fuzzy.

4) What happened instead is the font is fuzzy.

First reproduced in LO Maverick 1:3.3.1-1ubuntu3~maverick1, and reproduced in Natty.

WORKAROUND: click Tools -> Options -> LibreOffice -> View -> uncheck Use hardware acceleration checkbox -> OK button -> F5

---
Architecture: i386DistroRelease: Ubuntu 10.04InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: nvidia
Package: openoffice.org-core 1:3.2.0-7ubuntu4
PackageArchitecture: i386
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2Tags: lucid
Uname: Linux 2.6.32-22-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

CVE References

Created an attachment (id=352672)
test document with Japanese text

The top text "Test Case" will look funny when in slideshow mode.

Thx for filing, Kohei.

Binary package hint: openoffice.org

Comparing Impress which comes with Ubuntu 9.04 to 10.04, this 10.04 version has a problem with my Technical TTF font + Bold + Presentation mode. It looks fine in 10.04's Impress Editor screen, but when in presentation mode the bold text for the slide headers get fuzzy. The width of the bold characters appears wider than it should be when bold is added. Height of the Bold characters appears correct.

I will try to attach a zip file with the font, which I installed to ~/.fonts and also a very simple Impress file example.

Michael Lueck (mlueck) wrote :
Chris Cheney (ccheney) wrote :

[This is an automatic notification.]

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:

  apport-collect -p openoffice.org-core 585910

This will help us to find and resolve the problem. Bear in mind that you may need to install the python-launchpadlib package from the universe repository. Additionally, when prompted to give apport-collect permissions for Launchpad you will need to give it at least the ability to "Change Non-Private" data as it will be adding information to your bug report. Thanks in advance!

When reporting bugs in the future please use apport, either via the appropriate application's "Help -> Report a Problem" menu or using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

  ubuntu-bug openoffice.org-core

Please do not set bugs back to 'New' after adding this information.

Changed in openoffice.org (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

Can you attach a screenshot of it when it looks fuzzy to you so I can see if I am able to properly reproduce the problem?

Changed in openoffice.org (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Michael Lueck (mlueck) wrote :

Four samples getting attached. First two are from Ubuntu 9.04 which works properly. Second two will be from 10.04 where the error shows up ONLY in presentation mode. Fortunately I was able to capture the problem I was talking about within presentation mode.

I can confirm your issue with a font from the ubuntu repositories (your example file doesn't work without having your font installed), the font I used is "GFS Theokritos" from the ttf-gfs-theokritos package. The problem seems to be that the font does not have a bold version, Openoffice is trying to create a bold font from the regular font itself (which typically does not lead to a nice results). Still this "getting fussy" should obivously not happen.

Could you check whether your "Technical" font has a native bold version? Try this in a terminal:
  fc-list | grep Technical

Changed in openoffice.org (Ubuntu):
status: Incomplete → Confirmed

There is an upstream bug report which seems to be about the same issue (although it mentions a Japanese font, the respective font does not have a native bold version as well).

This seems not to be an issue specific to CFK fonts, see this Ubuntu bug report:
https://bugs.launchpad.net/openoffice/+bug/585910

This problem seems to exist with all fonts that do not have a bold variant, e.g.
"VL Gothic", "GFS Theokritos", "Gentium" ...

$ fc-list | grep "VL Gothic"
VL Gothic,VL ゴシック:style=regular

Whereas for fonts with "native bold" it looks like:
$ fc-list |grep "DejaVu Serif"
DejaVu Serif,DejaVu Serif Condensed:style=Condensed,Book
DejaVu Serif,DejaVu Serif Condensed:style=Condensed Bold Italic,Bold Italic
DejaVu Serif,DejaVu Serif Condensed:style=Condensed Bold,Bold
DejaVu Serif:style=Bold Italic
DejaVu Serif:style=Italic
DejaVu Serif:style=Book
DejaVu Serif:style=Bold

Note that the downstream bug report mentions this issue being a regression from OO3.0

Greetings Marcel- The place I got that font from years ago had only a Normal and Italic version. Thus the two .ttf files I keep in my "hip pocket" and install various places.

The older version that came with Ubuntu 9.04 was handling bolding the normal font correctly. The version with Ubuntu 10.04 guesses wrong somehow. In my mind, just "undo" that one downgrade in the newer version. ;-) (If life were so simple, hua?!)

Hi Michael. Hopefully I did not give the impression that this "getting fuzzy" is acceptable for fonts without a bold variant. It's ok for programs like Scribus, meant to produce professional print output, to not artificially bolden these fonts at all - but impress should definitely do this in a reasonable way. And as you reported, it was able to do it in previous versions :-)
I overlooked it before, but the upstream bug report mentions that this problem only occurs when hardware acceleration is enabled in the openoffice options dialog. I can't test this right now - could you try whether this workaround, well, works?

Michael Lueck (mlueck) wrote :

Woo hoo!!! That indeed is a work-around! Great, I will be doing a presentation shortly, and will get to use Impress rather than Acrobat. Thanks, Marcel, for mentioning that work-around!!! :-)

Changed in openoffice:
status: Unknown → Confirmed

Michael Lueck, thank you for reporting this bug and helping make Ubuntu better. This is reproducible in Ubuntu 10.10 LibreOffice Impress at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/585910/+attachment/1405216/+files/BoldTechnicalFontTest.zip && file-roller -h BoldTechnicalFontTest.zip && cd BoldTechnicalFontTest/.fonts && sudo mv TECHNICI.TTF /usr/share/fonts && sudo mv TECHNICN.TTF /usr/share/fonts && sudo fc-cache -f -v && sudo reboot

Upon restart at the Terminal:

loimpress -nologo ~/Desktop/BoldTechnicalFontTest/Desktop/BoldTechnicalFontTest.odp

lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

sudo add-apt-repository ppa:libreoffice/ppa && sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y install libreoffice-impress

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.0-1maverick1
  Candidate: 1:3.3.0-1maverick1
  Version table:
 *** 1:3.3.0-1maverick1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

tags: added: lo33

WORKAROUND: Tools -> Options -> LibreOffice -> View -> Uncheck Use hardware acceleration checkbox -> OK button -> F5

Notice the fuzziness is no longer present.

description: updated
summary: - Font becomes fuzzy in presentation mode
+ Impress Font fuzzy in presentation mode when Use hardware acceleration
+ enabled

Created attachment 43763
BoldTechnicalFontTest.zip

Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/585910

In Ubuntu 10.10 LibreOffice Impress at the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/585910/+attachment/1405216/+files/BoldTechnicalFontTest.zip && file-roller -h BoldTechnicalFontTest.zip && cd BoldTechnicalFontTest/.fonts && sudo mv TECHNICI.TTF /usr/share/fonts && sudo mv TECHNICN.TTF /usr/share/fonts && sudo fc-cache -f -v && sudo reboot

Upon restart at the Terminal:

loimpress -nologo ~/Desktop/BoldTechnicalFontTest/Desktop/BoldTechnicalFontTest.odp

Click F5 notice the font is fuzzy -> Esc -> click Tools -> Options -> LibreOffice -> View -> Uncheck Use hardware acceleration checkbox -> OK button -> F5

Notice the fuzziness is no longer present.

lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

sudo add-apt-repository ppa:libreoffice/ppa && sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y install libreoffice-impress

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.0-1maverick1
  Candidate: 1:3.3.0-1maverick1
  Version table:
 *** 1:3.3.0-1maverick1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

description: updated
Changed in df-libreoffice:
importance: Unknown → Low
status: Unknown → Confirmed

Reproduced in Ubuntu 10.10, LibreOffice Impress 3.3.1

lsb_release -rd
Description: Ubuntu 10.10
Release: 10.10

apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.1-1ubuntu3~maverick1
  Candidate: 1:3.3.1-1ubuntu3~maverick1
  Version table:
 *** 1:3.3.1-1ubuntu3~maverick1 0
        500 http://ppa.launchpad.net/libreoffice/ppa/ubuntu/ maverick/main i386 Packages
        100 /var/lib/dpkg/status

description: updated

Michael Lueck, since this bug has enough information provided for a developer to begin work, I'm going to mark it as Triaged and let them handle it from here. Thanks for taking the time to make Ubuntu better!

description: updated
Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Michael Lueck (mlueck) wrote :

Christopher Penalver, it is encouraging to see progress on one of my bug reports. Thank YOU so much for your assistance on this report. :-)

summary: - Impress Font fuzzy in presentation mode when Use hardware acceleration
- enabled
+ [Upstream] Impress Font fuzzy in presentation mode when Use hardware
+ acceleration enabled
Changed in openoffice.org (Ubuntu):
status: Confirmed → Won't Fix

[This is an automated message.]
There are no new official OpenOffice.org releases in Ubuntu packaging anymore => Won't Fix

If the problem persists, please mark this bug as "also affects project Libreoffice" or "also affects distribution Libreoffice (Ubuntu)" if that has not happened already.

Please leave references to upstream OpenOffice.org bugs in place to allow cross pollination.

Michael Lueck (mlueck) wrote :

@Björn Michaelsen

I migrated a 10.04 Lucid machine over to LibraOffice this evening.

The behavior is identical to that of OpenOffice. Bug remains.

I am not sure what you intended me to do about this bug since it persists.

Jack Leigh (leighman) wrote :

Michael Lueck,
In this case the bug has been reported upstream in Libreoffice so you don't need to take any further action.
Cheers

[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html

Changed in df-libreoffice:
status: Confirmed → Incomplete

Michael Lueck, unreproducible in:
LOdev 3.5.0beta2
Build ID: 8589e48-760cc4d-f39cf3d-1b2857e-60db978
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002

Please reopen this bug if reproducible in LOdev 3.5.0beta2+.

Changed in df-libreoffice:
status: Incomplete → Invalid
Michael Lueck (mlueck) wrote :

@Christopher,

rrrr??? I am on Ubuntu Linux 10.04 x64, not Vista. "Gee that is great that it is unreproducible with Vista."

Meanwhile I have switched my machines all to LibreOffice via the PPA instructions found here:
http://www.ubuntugeek.com/install-libreoffice-in-ubuntu-11-0410-1010-04-using-ppa.html

Yes I still needed to disable the acceleration to not have the font go fuzzy with LibreOffice.

Please advise how I may assist in this matter. Thank you! :-)

This bug seems to be Linux specific, it is still reproducible with LibreOffice 3.5.0beta2 (1:3.5.0~beta2-2ubuntu4 in Ubuntu 12.04)

@Michael: The important part of Chistopher's comment was not so much that it is not reproducible on Vista but that it appeared to be not reproducible using the development version of LibreOffice 3.5. However, I reopened the report as it is indeed still reproducible with 3.5 on Ubuntu.

We have an internal duplicate of this:

https://bugzilla.novell.com/show_bug.cgi?id=681110

And Thorsten is working on it; reproduced in 3.5 and master looks like cairo using slightly different (and wrong) font substitutions / settings. Our sample - using "Nimbus Roman No9 L" is very obviously a different font.

Marcel Stimberg, please do not toggle the version. For more on this please see: http://wiki.documentfoundation.org/BugReport_Details#Version

Changed in df-libreoffice:
status: Invalid → Confirmed
Michael Lueck (mlueck) wrote :

My LI installation just updated running Lucid 10.04.

Now I have:

LibreOffice 3.4.5
OOO340m1 (Build:502)

This bug is still present in this build.

Created attachment 58589
editing mode

Problem description:

Steps to reproduce:
1. Create a new presentation in Impress
2. Type in a Chinese character.
3. Bold the Chinese character.
4. F5(presentation)

Current behavior:
The bold Chinese character is not the same as it shows in editing mode.

Expected behavior:
It should be the same as what it looks like in editing mode.

Platform (if different from the browser):
 Ubuntu 10.04.4 LTS

Created attachment 58590
Presentation

*** Bug 47509 has been marked as a duplicate of this bug. ***

This bug is still present in LibreOffice 3.5.3.2 on Ubuntu 12.04 LTS.

Yes, I reproduce the issue in master still.

I find the problem should be located in file:
/core/canvas/source/cairo/cairo_textlayout.cxx:608

            //faux bold
            if (rSysFontData.bFakeBold) {
                double bold_dx = 0.5 * sqrt( 0.7 * aFont.GetHeight() );
                int total_steps = 2 * ((int) (bold_dx + 0.5));

                // loop to draw the text for every half pixel of displacement
                for (int nSteps = 0; nSteps < total_steps; nSteps++) {
                    for(int nGlyphIdx = 0; nGlyphIdx < (int) cairo_glyphs.size(); nGlyphIdx++) {
                        cairo_glyphs[nGlyphIdx].x += bold_dx * nSteps / total_steps;
                    }
                    cairo_show_glyphs(pSCairo.get(), &cairo_glyphs[0], cairo_glyphs.size());
                }
                OSL_TRACE(":cairocanvas::TextLayout::draw(S,O,p,v,r): FAKEBOLD - dx:%d", (int) bold_dx);
            }

yes, that's cause the bold in Asian font so ugly.

Created attachment 68779
Improve the faux bold in cairo canvas, to make the bold font better.

Simple patch to adjust & improve the "faux bold" in cairo canvas.

Created attachment 68780
without the patch

Created attachment 68781
with the patch

Created attachment 68782
with the patch

Sorry for above...

Flex Liu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6aa58c4d8af8b960b085646d97f73c912503a96

Resolves: fdo#47432 Improve the "faux bold" in cairo canvas

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.

I very much believe this is a duplicate of a now fixed bug.

*** This bug has been marked as a duplicate of bug 47432 ***

*** Bug 34675 has been marked as a duplicate of this bug. ***

Flex Liu committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cad7a5814775adf458f8a490700fa5ef6b8f8638&g=libreoffice-3-6

Resolves: fdo#47432 Improve the "faux bold" in cairo canvas

It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.

Changed in df-libreoffice:
status: Confirmed → Invalid
Nobuto Murata (nobuto) on 2012-11-16
Changed in df-libreoffice:
importance: Low → Unknown
status: Invalid → Unknown
Nobuto Murata (nobuto) wrote :

From an upstream bug report, the fix has been committed to master and 3.6 branch.

It will be available in LibreOffice 3.6.4 in upstream.

Changed in df-libreoffice:
importance: Unknown → Critical
status: Unknown → Fix Released
Nobuto Murata (nobuto) wrote :

I will attach SRU debdiffs for precise and quantal. Then I will contact libreoffice developers in Ubuntu how should I mark raring task "Fix Released".

Changed in libreoffice (Ubuntu):
assignee: nobody → Nobuto MURATA (nobuto)
status: Triaged → In Progress
Nobuto Murata (nobuto) wrote :
Nobuto Murata (nobuto) wrote :

The attachment "sru-debdiff-for-quantal.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Nobuto Murata (nobuto) wrote :
Benjamin Drung (bdrung) wrote :

Nobuto, can edit the description to state an impact, test case, and regression potential for the SRUs [1]?

[1] https://wiki.ubuntu.com/StableReleaseUpdates

Nobuto Murata (nobuto) wrote :

I filled out SRU justification. Thanks.

description: updated
Changed in libreoffice (Ubuntu):
assignee: Nobuto MURATA (nobuto) → nobody
status: In Progress → Confirmed
Benjamin Drung (bdrung) on 2012-11-23
Changed in openoffice.org (Ubuntu Precise):
status: New → Won't Fix
Changed in openoffice.org (Ubuntu Quantal):
status: New → Won't Fix
description: updated
tags: added: i386 maverick natty quantal
description: updated
Changed in libreoffice (Ubuntu Quantal):
status: New → Triaged
Changed in libreoffice (Ubuntu Precise):
status: New → Triaged
Benjamin Drung (bdrung) wrote :

I tried to sponsor your patch to raring, but libreoffice fails to build in my amd64 pbuilder instance:

Creating: toolkit.UnoScrollBarControl
LOG> Log started 23.10.2012 - 15:30:29
LOG> creating a textdocument
LOG> maximize the window size
No protocol specified

No core dump at /tmp/buildd/libreoffice-3.6.2~rc2/workdir/unxlngx6.pro/JunitTest/toolkit_unoapi/user, to create core dumps (and stack traces)
for crashed soffice instances, enable core dumps with:

   ulimit -c unlimited

E
Time: 290.813
There was 1 failure:
1) test(org.openoffice.test.UnoApiTest)
java.lang.InternalError: Can't connect to X11 window server using ':0' as the value of the DISPLAY variable.
 at sun.awt.X11GraphicsEnvironment.initDisplay(Native Method)
 at sun.awt.X11GraphicsEnvironment.access$200(X11GraphicsEnvironment.java:65)
 at sun.awt.X11GraphicsEnvironment$1.run(X11GraphicsEnvironment.java:110)
 at java.security.AccessController.doPrivileged(Native Method)
 at sun.awt.X11GraphicsEnvironment.<clinit>(X11GraphicsEnvironment.java:74)
 at java.lang.Class.forName0(Native Method)
 at java.lang.Class.forName(Class.java:186)
 at java.awt.GraphicsEnvironment.createGE(GraphicsEnvironment.java:102)
 at java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment(GraphicsEnvironment.java:81)
 at sun.awt.X11.XToolkit.<clinit>(XToolkit.java:119)
 at java.lang.Class.forName0(Native Method)
 at java.lang.Class.forName(Class.java:186)
 at java.awt.Toolkit$2.run(Toolkit.java:870)
 at java.security.AccessController.doPrivileged(Native Method)
 at java.awt.Toolkit.getDefaultToolkit(Toolkit.java:862)
 at mod._toolkit.UnoScrollBarControl.initialize(UnoScrollBarControl.java:78)
 at lib.TestCase.initializeTestCase(TestCase.java:79)
 at base.java_fat.executeTest(java_fat.java:179)
 at org.openoffice.Runner.run(Runner.java:240)
 at org.openoffice.test.UnoApiTest.test(UnoApiTest.java:45)

FAILURES!!!
Tests run: 1, Failures: 1

see full error log at /tmp/buildd/libreoffice-3.6.2~rc2/workdir/unxlngx6.pro/JunitTest/toolkit_unoapi/done.log
to rerun just this failed test without all others, run:

    make /tmp/buildd/libreoffice-3.6.2~rc2/workdir/unxlngx6.pro/JunitTest/toolkit_unoapi/done

cd into the module dir to run the tests faster
Or to do interactive debugging, run two shells with (Linux only):

    make debugrun
    make gb_JunitTest_DEBUGRUN=T /tmp/buildd/libreoffice-3.6.2~rc2/workdir/unxlngx6.pro/JunitTest/toolkit_unoapi/done

make[5]: *** [/tmp/buildd/libreoffice-3.6.2~rc2/workdir/unxlngx6.pro/JunitTest/toolkit_unoapi/done] Error 1
make[5]: Target `subsequentcheck' not remade because of errors.
make[5]: Leaving directory `/tmp/buildd/libreoffice-3.6.2~rc2'
make[4]: *** [subsequentcheck] Error 2
make[4]: Target `check' not remade because of errors.
make[4]: Leaving directory `/tmp/buildd/libreoffice-3.6.2~rc2'
make[3]: *** [check] Error 2
make[3]: Leaving directory `/tmp/buildd/libreoffice-3.6.2~rc2'
make[2]: *** [check] Error 2
make[2]: Leaving directory `/tmp/buildd/libreoffice-3.6.2~rc2'
make[1]: *** [debian/stampdir/build-arch] Error 2
make[1]: Leaving directory `/tmp/buildd/libreoffice-3.6.2~rc2'

Nobuto Murata (nobuto) wrote :

Hi Benjamin,

> java.lang.InternalError: Can't connect to X11 window server using ':0' as the value of the DISPLAY variable.

With unsetting DISPLAY variable for pbuilder, i.e. skipping whole X related tests, the package seems buildable. But I will try to confirm that in my local environment.

pbuilder with DISPLAY viriable is discussed in:
Bug #816556, Bug #815483
http://lists.debian.org/debian-java/2012/11/msg00004.html

In the past example Bug #815483, the package is accepted if it can be built in PPA. But unfortunately LibreOffice cannot be built in PPA due to "no space left on device" during build.
It's mentioned in Bug #1064962.

Nobuto Murata (nobuto) wrote :

For the record, at least sru-debdiff-for-precise.debdiff can be built on PPA.
https://launchpad.net/~nobuto/+archive/experimental-packages/+build/3993732

I will try to confirm against quantal and raring patch.

Benjamin Drung (bdrung) wrote :

Thanks. Unsetting DISPLAY will make the package built. I will upload your fix to precise-proposed, quantal-proposed and raring.

Benjamin Drung (bdrung) wrote :

All three packages are uploaded.

Adam Conrad (adconrad) wrote :

As dicussed on IRC, I'm rejecting these from the precise and quantal SRU queues, as the fix is rather small and limited to warrant a massive re-download of libreoffice for every stable user out there.

Please work with Bjoern to get this fix integrated in a larger future libreoffice SRU instead.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.6.2~rc2-0ubuntu6

---------------
libreoffice (1:3.6.2~rc2-0ubuntu6) raring; urgency=low

  * cherry pick from upstream 3.6 branch Change-Id
    I2e02156ffc30629476b80134ffb0b50e793f7ead (LP: #585910)
    - improve rendering of the "faux bold" font on Impress
      presentation
 -- Nobuto MURATA <email address hidden> Mon, 26 Nov 2012 13:27:22 +0100

Changed in libreoffice (Ubuntu):
status: Confirmed → Fix Released

included in:
http://launchpadlibrarian.net/124327382/libreoffice_3.5.7-0ubuntu2_source.changes
for precise
not using vendor patching for quantal -- release 3.6.4 as MRU instead, which according to:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/585910/comments/50
contains the fix.

Changed in libreoffice (Ubuntu Precise):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
Changed in libreoffice (Ubuntu Quantal):
assignee: nobody → Björn Michaelsen (bjoern-michaelsen)
Benjamin Drung (bdrung) wrote :

What's the progress on this bug? I do not see neither any new libreoffice version in precise-proposed, nor in quantal-proposed.

tags: added: oneiric precise
removed: i386
tags: added: i386
Changed in libreoffice (Ubuntu Quantal):
status: Triaged → Fix Released
Changed in libreoffice (Ubuntu Precise):
status: Triaged → Fix Committed
no longer affects: openoffice.org (Ubuntu)
no longer affects: openoffice.org (Ubuntu Precise)
no longer affects: openoffice.org (Ubuntu Quantal)
Nobuto Murata (nobuto) wrote :

> Changed in libreoffice (Ubuntu Quantal):
> status: Triaged → Fix Released

I can't see any upload to quantal yet.
https://launchpad.net/ubuntu/quantal/+source/libreoffice
https://launchpad.net/ubuntu/quantal/+queue?queue_state=1

"In Progress" is an appropriate status here?

Changed in libreoffice (Ubuntu Quantal):
status: Fix Released → Triaged

Hello Michael, or anyone else affected,

Accepted libreoffice into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libreoffice/1:3.5.7-0ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Michael Lueck (mlueck) wrote :
Download full text (4.4 KiB)

Greetings Steve,

This evening I attempted to get it tested on my Xubuntu 12.04 x64 system. I ran into a snag.

I suspect what Aptitude was telling me is that the package python-uno needs to also be updated and was not provided. Following is a text screen dump of the dependency tangle. I had only left all of the libreoffice* packages enabled to be upgraded to the test release.

Please advise how I should proceed in this case.

Sincerely,
Michael

 Actions Undo Package Resolver Search Options Views Help
C-T: Menu ?: Help q: Quit u: Update g: Download/Install/Remove Pkgs
                                Packages Preview
aptitude 0.6.6 #Broken: 3 Will use 128 kB of disk space DL Size: 90.2 MB
i linux-image-generic 3.2.0.36.43 3.2.0.37.44
i linux-libc-dev 3.2.0-36.57 3.2.0-37.58
i network-manager-gnome 0.9.4.1-0ubunt 0.9.4.1-0ubunt
i nvidia-current-updates 304.43-0ubuntu 304.64-0ubuntu
i plymouth 0.8.2-2ubuntu3 0.8.2-2ubuntu3
i plymouth-label 0.8.2-2ubuntu3 0.8.2-2ubuntu3
i plymouth-theme-ubuntu-text 0.8.2-2ubuntu3 0.8.2-2ubuntu3
i python-aptdaemon 0.43+bzr805-0u 0.43+bzr805-0u
i python-aptdaemon.gtk3widgets 0.43+bzr805-0u 0.43+bzr805-0u
iBA python-uno 1:3.5.4-0ubunt 1:3.5.7-0ubunt
i rsyslog 5.8.6-1ubuntu8 5.8.6-1ubuntu8
i transmission-common 2.51-0ubuntu1. 2.51-0ubuntu1.
i transmission-gtk 2.51-0ubuntu1. 2.51-0ubuntu1.
i A uno-libs3 3.5.4-0ubuntu1 3.5.7-0ubuntu4
i A ure 3.5.4-0ubuntu1 3.5.7-0ubuntu4
i usb-creator-common 0.2.38 0.2.3...

Read more...

Ritesh Khadgaray (khadgaray) wrote :
Nobuto Murata (nobuto) wrote :

I have tested libreoffice 1:3.5.7-0ubuntu4/precise-proposed.
It works as expected.

NOTE:
with the new package, the font looks thinner than the one in hardware acceleration off.
But it comes from the issue "Who knows the right boldness if the font doesn't have a bold typeface?".
It might be needed to tweak the boldness in the future, but it's out of scope of this bug, IMHO.

tags: added: verification-done
removed: verification-needed
Michael Lueck (mlueck) wrote :

@nobuto: How did you get it to install on precise? I just attempted again and the instructions linked to from #68 for how to test a proposed package lead to an utter aptitude nightmare... wants to remove all sorts of packages for selecting the libreoffice/1:3.5.7-0ubuntu4 when starting it via sudo aptitude -t precise-proposed

If I leave the switches off, then the best I can get is what I posted in #69.

Would someone kindly assist so I may confirm my own bug resolved by the proposed!

Nobuto Murata (nobuto) wrote :

@Michael Lueck,

I did the steps below:

 1. enable proposed and set Pin-Priority: 400 to -proposed
     https://wiki.ubuntu.com/Testing/EnableProposed

 2. apt-get update

 3. apt-get install -t precise-proposed libreoffice-base-core libreoffice-calc \
          libreoffice-common libreoffice-core libreoffice-draw libreoffice-gnome \
          libreoffice-gtk libreoffice-impress libreoffice-math libreoffice-writer python-uno

(packages name retrieved from "The following packages will be upgraded: " field in `apt-get install -s -t precise-proposed libreoffice`)

Good luck.

Michael Lueck (mlueck) wrote :

@nobuto: Thank you for sharing your steps to success. The apt-get install step did the trick and did not complain about python-uno.

I can confirm the resolution to the problem I originally reported.

The relative font fatness in preview mode is seemingly identical to the font fatness in presentation mode. Without the patch and with hardware acceleration enabled, then the font puffs up fat in presentation mode.

Thank you for resolving this trouble.

Sebastien Bacher (seb128) wrote :

unsubscribing sponsors, it's not likely anyone picks libreoffice for SRU out of Bjoern who is already assigned to that bug

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:3.5.7-0ubuntu4

---------------
libreoffice (1:3.5.7-0ubuntu4) precise; urgency=low

  [Nobuto MURATA]
  * debian/patches/improve-faux-bold-font.patch: added
    - cherry-picked from upstream
    - improve rendering of the "faux bold" font on Impress
      presentation (LP: #585910).

  [Bjoern Michaelsen]
  * remove upstreamed security fix for CVE-2012-2665
  * moved to upstream 3.5.7 rc2 = final release
    - rhbz#799628 related: crash with chewing-IM with g3g [Caolán McNamara]
    - fdo#50415 and Fix Shortcut names are not localized on Linux [Thomas Arnhold]
    - fdo#35372: master text styles show up on actual slides
  * backport SdModule::GetSdOptions: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
  * backport crash when scrolling in multiselection in slide sorter
  * backport multi-threaded XIOError segv
  * backport GetSdrPageView() might return NULL
  * backport Writer crashed while editing a table
  * backport Objects anchored to cell wrongly positionned to A1
  * backport Do not move nCurUndoAction < 0
  * backport Do not check the stored DIFAT sector count
  * backport Enable NPP_Initialize/Shutdown again
  * backport torn off popups trigger keyboard focus problems
  * backport a11y: call doShow after we have a valid view
  * backport Clipboard must be disposed before Selection
  * backport fix default hori/vert frame anchor during RTF import
  * backport Load Java scripts with class loaders
  * backport Do not consider timestamp differences as corruption
  * backport sw: better fix for DOCX table import crash
  * backport crash in SwXTextDocument::getRendererCount
  * backport STG_FREE sector locations rejected
  * backport fix crash following delete at last table cell
  * backport restrict page sanity check to non-storage chunks
  * backport prevent crashes after incomplete print
  * backport set correct paper tray in UI
  * backport German OK and Cancel buttons show ~
  * final upstream bugfix release -- SRU for precise (LP: #1037111)
 -- Bjoern Michaelsen <email address hidden> Wed, 23 Jan 2013 10:49:35 +0100

Changed in libreoffice (Ubuntu Precise):
status: Fix Committed → Fix Released

My responsibilities have changed, returning bug to general LibreOffice maintainer pool.

no backporting for Quantal for this, sorry.

Changed in libreoffice (Ubuntu Quantal):
status: Triaged → Won't Fix
Changed in openoffice:
importance: Unknown → Medium
Changed in openoffice:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.